regina::LPConstraintNone Class Reference
Vertex Enumeration

A do-nothing class that imposes no additional linear constraints on the tableaux of normal surface matching equations. More...

`#include <enumerate/ntreeconstraint.h>`

Inheritance diagram for regina::LPConstraintNone:

## Classes

struct | Coefficients
| Stores the extra coefficients in the tableaux associated with this constraint class (which for this class is a no-op, since in this case there are no extra coefficients). More...

## Public Types

enum | { nConstraints = 0 }
Public Types inherited from regina::LPConstraintBase
enum | { nConstraints }

## Static Public Member Functions

static bool | addRows (LPInitialTableaux< regina::LPConstraintNone >::Col *, const int *, NTriangulation *)
template<typename Integer >
static void | constrain (LPData< regina::LPConstraintNone, Integer > &, unsigned)
static bool | verify (const NNormalSurface *)
static bool | supported (NormalCoords coords)
Static Public Member Functions inherited from regina::LPConstraintBase
static bool | addRows (LPInitialTableaux< LPConstraintBase >::Col *col, const int *columnPerm, NTriangulation *tri)
| Explicitly constructs equations for the linear function(s) constrained by this class. More...
template<typename Integer >
static void | constrain (LPData< LPConstraintNone, Integer > &lp, unsigned numCols)
| Explicitly constraints each of these linear functions to an equality or inequality in the underlying tableaux. More...
static bool | verify (const NNormalSurface *s)
| Ensures that the given normal surface satisfies the extra constraints described by this class. More...
static bool | supported (NormalCoords coords)
| Indicates whether the given coordinate system is supported by this constraint class. More...

## Detailed Description

A do-nothing class that imposes no additional linear constraints on the tableaux of normal surface matching equations.

See the LPConstraintBase class notes for details on all member functions and structs.

Python:
  Not present.

The documentation for this class was generated from the following file:

- enumerate/ntreeconstraint.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).